Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -35,6 +35,7 @@
         {
             ConstructionCode,
             ApprovalCode,
+            OrderNo,
             SeqNo,
             PersonCode,
             PetitionApprovalDate,
@@ -67,14 +68,15 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成
             string strcmd = "SELECT";
             strcmd += " ConstructionCode";
             strcmd += ",ApprovalCode";
+            strcmd += ",OrderNo";
             strcmd += ",SeqNo";
             strcmd += ",PersonCode";
-            strcmd += ",DATE_FORMAT(PetitionApprovalDate, '%Y/%m/%d')";
-            strcmd += ",DATE_FORMAT(ApprovalLimitDates, '%Y/%m/%d')";
+            strcmd += ",DATE_FORMAT(PetitionApprovalDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ",DATE_FORMAT(ApprovalLimitDates, '%Y/%m/%d %H:%i:%s')";
             strcmd += ",ApprovalStatus";
             strcmd += ",InputComment";
             strcmd += ",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -95,7 +97,7 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<ProcessApproval> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -119,7 +121,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -136,7 +138,7 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref ProcessApproval data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -157,7 +159,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -183,7 +185,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -203,21 +205,33 @@
             {
 
                     strcmd = "INSERT INTO ProcessApproval";
+                    strcmd += " (ConstructionCode";
+                    strcmd += ",ApprovalCode";
+                    strcmd += ",OrderNo";
+                    strcmd += ",SeqNo";
+                    strcmd += ",PersonCode";
+                    strcmd += ",PetitionApprovalDate";
+                    strcmd += ",ApprovalLimitDates";
+                    strcmd += ",ApprovalStatus";
+                    strcmd += ",InputComment";
+                    strcmd += ",EntryDate";
+                    strcmd += ",UpdateDate)";
 
                     strcmd += " VALUES (";
 
                     strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
                     strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
+                    strcmd += string.Format(", {0}", data.OrderNo.ToString());
                     strcmd += string.Format(", {0}", data.SeqNo.ToString());
                     strcmd += string.Format(", {0}", data.PersonCode.ToString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.PetitionApprovalDate.ToString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.PetitionApprovalDate.ToString());
 
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ApprovalLimitDates.ToString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ApprovalLimitDates.ToString());
                     strcmd += string.Format(", {0}", data.ApprovalStatus.ToString());
                     strcmd += string.Format(",'{0}'", data.InputComment.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -226,7 +240,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -251,14 +265,15 @@
 
                 strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode.ToString());
                 strcmd += string.Format(",ApprovalCode = {0}", data.ApprovalCode.ToString());
+                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
                 strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
                 strcmd += string.Format(",PersonCode = {0}", data.PersonCode.ToString());
-                strcmd += string.Format(",PetitionApprovalDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.PetitionApprovalDate.ToString());
-                strcmd += string.Format(",ApprovalLimitDates = DATE_FORMAT('{0}','%Y/%m/%d')", data.ApprovalLimitDates.ToString());
+                strcmd += string.Format(",PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.PetitionApprovalDate.ToString());
+                strcmd += string.Format(",ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ApprovalLimitDates.ToString());
                 strcmd += string.Format(",ApprovalStatus = {0}", data.ApprovalStatus.ToString());
                 strcmd += string.Format(",InputComment = '{0}'", data.InputComment);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -267,7 +282,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -282,7 +297,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -294,17 +309,75 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
         #endregion
 
-        #region OracleDataReaderより構造体へセットする
+        #region 1項目更新処理
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 1項目の更新を行う
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int ApprovalCode = 0, int OrderNo = 0, int SeqNo = 0)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ProcessApproval";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)ColumnName.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ApprovalCode:
+                        strcmd += string.Format(" ApprovalCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.SeqNo:
+                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.PetitionApprovalDate:
+                        strcmd += string.Format(" PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)ColumnName.ApprovalLimitDates:
+                        strcmd += string.Format(" ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)ColumnName.ApprovalStatus:
+                        strcmd += string.Format(" ApprovalStatus = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.InputComment:
+                        strcmd += string.Format(" InputComment = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 構造体へセットする
+        /// <summary>
+        /// 構造体へセットする
+        /// </summary>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref ProcessApproval wrk)
         {
@@ -313,6 +386,7 @@
                 // データ取得
                 wrk.ConstructionCode = int.Parse(objwrk[(int)ColumnName.ConstructionCode].ToString());
                 wrk.ApprovalCode = int.Parse(objwrk[(int)ColumnName.ApprovalCode].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)ColumnName.OrderNo].ToString());
                 wrk.SeqNo = int.Parse(objwrk[(int)ColumnName.SeqNo].ToString());
                 wrk.PersonCode = int.Parse(objwrk[(int)ColumnName.PersonCode].ToString());
                 wrk.PetitionApprovalDate = DateTime.Parse(objwrk[(int)ColumnName.PetitionApprovalDate].ToString());
@@ -325,11 +399,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
         #endregion
@@ -340,16 +414,18 @@
         /// </summary>
         /// <param name="BusinessTypeCode"></param>
         /// <returns>Where文字列</returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int ApprovalCode = 0, int SeqNo = 0)
+        public string CreatePrimarykeyString(int ConstructionCode, int ApprovalCode = 0, int OrderNo = 0, int SeqNo = 0, string APara = "")
         {
             string strWork = string.Empty;
             try
             {
-                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode.ToString());
+                strWork = string.Format(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
                 if (ApprovalCode != 0)
-                    strWork += string.Format(" And ApprovalCode = {0}", ApprovalCode.ToString());
+                    strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
+                if (OrderNo != 0)
+                    strWork += string.Format(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
                 if (SeqNo != 0)
-                    strWork += string.Format(" And SeqNo = {0}", SeqNo.ToString());
+                    strWork += string.Format(" And {0}SeqNo = {1}", APara, SeqNo.ToString());
             }
             catch (Exception ex)
             {
@@ -360,6 +436,45 @@
         }
         #endregion
 
+        #region 受付番号の最大値を取得する
+        /// <summary>
+        /// 受付番号の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxOrderNoCount(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(OrderNo), 0) FROM ProcessApproval" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+
         #region 枝番の最大値を取得する
         /// <summary>
         /// 枝番の最大値を取得する
@@ -369,7 +484,7 @@
         /// <returns></returns>
         public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
